import { OpenAPIHono } from '@hono/zod-openapi';
import authorizeRoute from './wechat-authorize';
import loginRoute from './wechat-login';
import bindApp from './wechat-bind';
import unbindApp from './wechat-unbind';

const app = new OpenAPIHono()
  .route('/', authorizeRoute)
  .route('/', loginRoute)
  .route('/', bindApp)
  .route('/', unbindApp);

export default app;